com.lowagie.toolbox.arguments

## Class AbstractArgument

- java.lang.Object
- - com.lowagie.toolbox.arguments.AbstractArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  BitsetArgument, ColorArgument, FileArgument, FileArrayArgument, FloatArgument, ImageArgument, IntegerArgument, OptionArgument, StringArgument

    public abstract class AbstractArgument
    extends java.lang.Object
    implements java.awt.event.ActionListener, java.beans.PropertyChangeListener

Since:
  2.1.1 (imported from itexttoolbox project)

### Field Summary

Fields
`protected java.lang.String` `description` describes the argument.
`protected java.lang.String` `name` short name for the argument.
`protected java.beans.PropertyChangeSupport` `pcs`
`protected AbstractTool` `tool` reference to the internal frame
`protected java.lang.Object` `value` value of the argument.

### Constructor Summary

Constructors
Constructor and Description
`AbstractArgument()`
`AbstractArgument(AbstractTool tool, java.lang.String name, java.lang.String description, java.lang.Object value)`

### Method Summary

Methods
`abstract void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`protected void` `firePropertyChange(java.beans.PropertyChangeEvent evt)`
`java.lang.Object` `getArgument()` Gets the argument as an object.
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`AbstractTool` `getTool()`
`java.lang.String` `getUsage()` Give you a String that can be used in a usage description.
`java.lang.Object` `getValue()`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setTool(AbstractTool tool)`
`void` `setValue(java.lang.Object value)`
`void` `setValue(java.lang.Object value, java.lang.String propertyname)`
`java.lang.String` `toString()` Returns a string representation of the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pcs

    protected java.beans.PropertyChangeSupport pcs

#### value

    protected java.lang.Object value

value of the argument.

#### name

    protected java.lang.String name

short name for the argument.

#### tool

    protected AbstractTool tool

reference to the internal frame

#### description

    protected java.lang.String description

describes the argument.

### Constructor Detail

#### AbstractArgument

    public AbstractArgument()

#### AbstractArgument

    public AbstractArgument(AbstractTool tool,
                    java.lang.String name,
                    java.lang.String description,
                    java.lang.Object value)

### Method Detail

#### firePropertyChange

    protected void firePropertyChange(java.beans.PropertyChangeEvent evt)

#### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

#### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

#### getValue

    public java.lang.Object getValue()

Returns:
  Returns the value.

#### setValue

    public void setValue(java.lang.Object value,
                java.lang.String propertyname)

#### setDescription

    public void setDescription(java.lang.String description)

Parameters:
  `description` - The description to set.

#### getDescription

    public java.lang.String getDescription()

Returns:
  Returns the description.

#### setName

    public void setName(java.lang.String name)

Parameters:
  `name` - The name to set.

#### getUsage

    public java.lang.String getUsage()

Give you a String that can be used in a usage description.

Returns:
  a String

#### getTool

    public AbstractTool getTool()

#### setTool

    public void setTool(AbstractTool tool)

#### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

Gets the argument as an object.

Returns:
  an object
Throws:
  `java.lang.InstantiationException`

#### getName

    public java.lang.String getName()

Returns:
  Returns the name.

#### setValue

    public void setValue(java.lang.Object value)

Parameters:
  `value` - The value to set.

#### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `java.beans.PropertyChangeListener`

#### actionPerformed

    public abstract void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`

#### toString

    public java.lang.String toString()

Returns a string representation of the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of the object.